libzypp 17.37.10

Debug.h File Reference

Debuging tools which should not be used in released code. More...

`#include <iosfwd>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/String.h>`
`#include <zypp/ExternalProgram.h>`
`#include <zypp-core/base/ProvideNumericId>`

Go to the source code of this file.

## Classes
struct | zypp::debug::TraceCADBase
| Base for a simple tracer. More...
struct | zypp::debug::TraceCAD< Tp >
| A simple tracer for (copy) Construction, Assignment, and Destruction. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::debug

## Macros
#define | TAG INT << __PRETTY_FUNCTION__ << std::endl

## Functions
std::ostream & | zypp::debug::dumpMemOn (std::ostream &str, const std::string &msg=std::string())
| 'ps v'
template<class Tp>
void | zypp::debug::traceCAD (TraceCADBase::What what_r, const TraceCAD< Tp > &self_r, const TraceCAD< Tp > &rhs_r)
| Drop a log line about the traced method.

## Detailed Description

Debuging tools which should not be used in released code.

Definition in file Debug.h.

## Macro Definition Documentation

## ◆ TAG

#define TAG INT << __PRETTY_FUNCTION__ << std::endl

Definition at line 36 of file Debug.h.